Package com.io7m.cardant.model

# Record Class CAItemRepositSerialMove

java.lang.Object
java.lang.Record
com.io7m.cardant.model.CAItemRepositSerialMove

Record Components:
  `item` - The item
  `fromLocation` - The source storage location
  `toLocation` - The target storage location
  `serial` - The item serial number

All Implemented Interfaces:
  `CAItemRepositType`

public record CAItemRepositSerialMove(CAItemID item, CALocationID fromLocation, CALocationID toLocation, CAItemSerial serial) extends Record implements CAItemRepositType
An operation that moves an identified item from one storage location to another.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CAItemRepositSerialMove(CAItemID item, CALocationID fromLocation, CALocationID toLocation, CAItemSerial serial)`
  An operation that moves an identified item from one storage location to another.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `count()`
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `CALocationID`
  `fromLocation()`
  Returns the value of the `fromLocation` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `CAItemID`
  `item()`
  Returns the value of the `item` record component.
  `CAItemSerial`
  `serial()`
  Returns the value of the `serial` record component.
  `CALocationID`
  `toLocation()`
  Returns the value of the `toLocation` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CAItemRepositSerialMove

    public CAItemRepositSerialMove(CAItemID item, CALocationID fromLocation, CALocationID toLocation, CAItemSerial serial)
    An operation that moves an identified item from one storage location to another.
    Parameters:
      `item` - The item
      `fromLocation` - The source storage location
      `toLocation` - The target storage location
      `serial` - The item serial number

- ## Method Details

  - ### count

    public long count()
    Specified by:
      `count` in interface `CAItemRepositType`
    Returns:
      The item count

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### item

    public CAItemID item()
    Returns the value of the `item` record component.
    Specified by:
      `item` in interface `CAItemRepositType`
    Returns:
      the value of the `item` record component

  - ### fromLocation

    public CALocationID fromLocation()
    Returns the value of the `fromLocation` record component.
    Returns:
      the value of the `fromLocation` record component

  - ### toLocation

    public CALocationID toLocation()
    Returns the value of the `toLocation` record component.
    Returns:
      the value of the `toLocation` record component

  - ### serial

    public CAItemSerial serial()
    Returns the value of the `serial` record component.
    Returns:
      the value of the `serial` record component